#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModifySidfmdCategories2 < ActiveRecord::Migration
  def change
    SidfmdCategory.create(:id => 1,
                          :name => '公開サーバ',
                          :is_system => true,
                          :desc => '信頼できない人間がアクセス可能なネットワークに配置された、信頼できる人間のみがログインできるシステム。 基本的にファイアウォールの外側や DMZ, クラウドにあるサーバシステムを意味します。
（具体例：公開 Web サーバ、公開 DNS サーバ、公開 SMTP サーバ）')
    SidfmdCategory.create(:id => 2,
                          :name => '内部サーバ',
                          :is_system => true,
                          :desc => '信頼できる人間や特定の人間のみアクセス可能なネットワークに配置された、信頼できる人間のみがログインできるシステム。 基本的にファイアウォールで保護された内側にあるサーバシステムを意味します。
（具体例：内部 Web サーバ、内部 DNS サーバ、内部 SMTP サーバ）')
    SidfmdCategory.create(:id => 3,
                          :name => '共用サーバ',
                          :is_system => true,
                          :desc => '信頼できない人間がアクセス可能なネットワークに配置された、信頼できない人間がログインできるシステム。 レンタルサーバのサービスを提供するシステムや、不特定なユーザにアカウントを発行する Web サービスを提供するシステムを意味します。
（具体例：レンタルサーバ、無料のアカウントを発行するサービスを提供するサーバ、共用端末）')
    SidfmdCategory.create(:id => 4,
                          :name => 'モバイル',
                          :is_system => true,
                          :desc => '信頼できない人間がアクセス可能なネットワークに配置された、他システムへサービスを提供しないクライアントシステム。 Web の閲覧やドキュメントの作成などに使用し、公開無線 LAN などに接続するノートパソコンやタブレットを意味します。')
    SidfmdCategory.create(:id => 5,
                          :name => 'クライアント',
                          :is_system => true,
                          :desc => '信頼できる人間や特定の人間のみアクセス可能なネットワークに配置された、クライアントシステム。 Web の閲覧やドキュメントの作成などに使用し、外部への持ち出しを行わないノートパソコンやタブレットを意味します。')
    SidfmdCategory.create(:id => 6,
                          :name => '仮想化ホスト',
                          :is_system => true,
                          :desc => '信頼できない人間がアクセス可能なネットワークに配置された、仮想サーバを提供する仮想サーバのホストシステム。 基本的に仮想サーバのハイパーバイザシステムの動作するシステムを意味します。仮想サーバの操作を行う Web インタフェースなどは評価の対象となりません。')
    SidfmdCategory.create(:id => 7,
                          :name => '公開NW機器',
                          :is_system => true,
                          :desc => '信頼できない人間がアクセス可能なネットワークに配置された、ルータ・スイッチ・ファイアウォールなどのネットワーク機器。
（具体例：ファイアウォール、エッジルータ、エッジスイッチ）')
    SidfmdCategory.create(:id => 8,
                          :name => '内部NW機器',
                          :is_system => true,
                          :desc => '信頼できる人間や特定の人間のみアクセス可能なネットワークに配置された、ルータ・スイッチなどのネットワーク機器。
（具体例：コアルータ、コアスイッチ）')
  end
end
