# -*- coding: utf-8 -*-

class ModifyCondVec < ActiveRecord::Migration
  def change
    # 完全一致のフラグ
    # falseの場合(default)、部分一致（いずれかのCVE IDで、指定した条件が適合した場合に成立）
    # trueの場合、完全一致(全てのCVE IDに対して、指定した条件が適合した場合のみ成立）
    # 一つの脆弱性(html_id)に対して複数のCVE IDが存在する場合のマッチングの挙動を指定します。
    add_column :sidfmd_rule_c_cvss_vectors, :flg_perfect, :boolean, default: false
    # 完全一致の場合未定義を無視するフラグ
    # flg_perfect=trueの場合のみ意味を持つ
    # 完全一致のチェックの際に未定義を除外してチェックする。
    add_column :sidfmd_rule_c_cvss_vectors, :flg_ignore_undef, :boolean, default: false
  end
end
