# -*- coding: utf-8 -*-

class CreateCondTimerange < ActiveRecord::Migration

  def change
    # ルールの評価日時から指定期間過去にさかのぼった期間で登録・更新が行われたものに適合する条件
    create_table :sidfmd_rule_c_timeranges do |t|
      t.references :sidfmd_rule_cond, foregn_key: true, index: true, null: false

      # 間隔指定。単位はunitに従う。
      #  unit=hourの場合 1-24
      #  unit=dayの場合 1以上
      #  unit=weekの場合 1以上
      #  unit=monthの場合 1以上
      t.integer :value, index: true, null: false, default: 1

      # 間隔の単位: hour, day, week, month のいずれか。
      t.text :unit, null: false, default: 'hour'
    end
  end

end
